<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/WEB-INF/jsp/ams/controllers/init.jsp" %>

<%@ page import="com.liferay.ams.model.Asset" %>
<%@ page import="com.liferay.ams.model.impl.AssetImpl" %>
<%@ page import="com.liferay.ams.service.AssetLocalServiceUtil" %>
<%@ page import="com.liferay.counter.service.CounterLocalServiceUtil" %>
<%@ page import="com.liferay.portal.kernel.bean.BeanPropertiesUtil" %>

<%!
public class AlloyControllerImpl extends BaseAlloyControllerImpl {

	public void delete() throws Exception {
		long assetId = ParamUtil.getLong(request, "id");

		AssetLocalServiceUtil.deleteAsset(assetId);

		addSuccessMessage();

		PortletURL redirectURL = liferayPortletResponse.createRenderURL();

		redirectTo(redirectURL);
	}

	public void index() throws Exception {
		List<Asset> assets = AssetLocalServiceUtil.getAssets(QueryUtil.ALL_POS, QueryUtil.ALL_POS);

		renderRequest.setAttribute("assets", assets);
	}

	public void save() throws Exception {
		Asset asset = new AssetImpl();

		BeanPropertiesUtil.setProperties(asset, request);

		if (asset.isNew()) {
			asset.setPrimaryKey(CounterLocalServiceUtil.increment());

			AssetLocalServiceUtil.addAsset(asset);
		}

		addSuccessMessage();

		String redirect = ParamUtil.getString(request, "redirect");

		redirectTo(redirect);
	}

	public void view() throws Exception {
		long assetId = ParamUtil.getLong(request, "id");

		Asset asset = AssetLocalServiceUtil.getAsset(assetId);

		renderRequest.setAttribute("asset", asset);
	}

}
%>