/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.ams.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.AuditedModel;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the Checkout service. Represents a row in the &quot;AMS_Checkout&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.liferay.ams.model.impl.CheckoutModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.liferay.ams.model.impl.CheckoutImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see Checkout
 * @see com.liferay.ams.model.impl.CheckoutImpl
 * @see com.liferay.ams.model.impl.CheckoutModelImpl
 * @generated
 */
public interface CheckoutModel extends AuditedModel, BaseModel<Checkout> {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a checkout model instance should use the {@link Checkout} interface instead.
	 */

	/**
	 * Returns the primary key of this checkout.
	 *
	 * @return the primary key of this checkout
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this checkout.
	 *
	 * @param primaryKey the primary key of this checkout
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the checkout ID of this checkout.
	 *
	 * @return the checkout ID of this checkout
	 */
	public long getCheckoutId();

	/**
	 * Sets the checkout ID of this checkout.
	 *
	 * @param checkoutId the checkout ID of this checkout
	 */
	public void setCheckoutId(long checkoutId);

	/**
	 * Returns the company ID of this checkout.
	 *
	 * @return the company ID of this checkout
	 */
	public long getCompanyId();

	/**
	 * Sets the company ID of this checkout.
	 *
	 * @param companyId the company ID of this checkout
	 */
	public void setCompanyId(long companyId);

	/**
	 * Returns the user ID of this checkout.
	 *
	 * @return the user ID of this checkout
	 */
	public long getUserId();

	/**
	 * Sets the user ID of this checkout.
	 *
	 * @param userId the user ID of this checkout
	 */
	public void setUserId(long userId);

	/**
	 * Returns the user uuid of this checkout.
	 *
	 * @return the user uuid of this checkout
	 * @throws SystemException if a system exception occurred
	 */
	public String getUserUuid() throws SystemException;

	/**
	 * Sets the user uuid of this checkout.
	 *
	 * @param userUuid the user uuid of this checkout
	 */
	public void setUserUuid(String userUuid);

	/**
	 * Returns the user name of this checkout.
	 *
	 * @return the user name of this checkout
	 */
	@AutoEscape
	public String getUserName();

	/**
	 * Sets the user name of this checkout.
	 *
	 * @param userName the user name of this checkout
	 */
	public void setUserName(String userName);

	/**
	 * Returns the create date of this checkout.
	 *
	 * @return the create date of this checkout
	 */
	public Date getCreateDate();

	/**
	 * Sets the create date of this checkout.
	 *
	 * @param createDate the create date of this checkout
	 */
	public void setCreateDate(Date createDate);

	/**
	 * Returns the modified date of this checkout.
	 *
	 * @return the modified date of this checkout
	 */
	public Date getModifiedDate();

	/**
	 * Sets the modified date of this checkout.
	 *
	 * @param modifiedDate the modified date of this checkout
	 */
	public void setModifiedDate(Date modifiedDate);

	/**
	 * Returns the asset ID of this checkout.
	 *
	 * @return the asset ID of this checkout
	 */
	public long getAssetId();

	/**
	 * Sets the asset ID of this checkout.
	 *
	 * @param assetId the asset ID of this checkout
	 */
	public void setAssetId(long assetId);

	/**
	 * Returns the check out date of this checkout.
	 *
	 * @return the check out date of this checkout
	 */
	public Date getCheckOutDate();

	/**
	 * Sets the check out date of this checkout.
	 *
	 * @param checkOutDate the check out date of this checkout
	 */
	public void setCheckOutDate(Date checkOutDate);

	/**
	 * Returns the expected check in date of this checkout.
	 *
	 * @return the expected check in date of this checkout
	 */
	public Date getExpectedCheckInDate();

	/**
	 * Sets the expected check in date of this checkout.
	 *
	 * @param expectedCheckInDate the expected check in date of this checkout
	 */
	public void setExpectedCheckInDate(Date expectedCheckInDate);

	/**
	 * Returns the actual check in date of this checkout.
	 *
	 * @return the actual check in date of this checkout
	 */
	public Date getActualCheckInDate();

	/**
	 * Sets the actual check in date of this checkout.
	 *
	 * @param actualCheckInDate the actual check in date of this checkout
	 */
	public void setActualCheckInDate(Date actualCheckInDate);

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public Serializable getPrimaryKeyObj();

	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(Checkout checkout);

	public int hashCode();

	public CacheModel<Checkout> toCacheModel();

	public Checkout toEscapedModel();

	public String toString();

	public String toXmlString();
}