/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.ams.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the Type service. Represents a row in the &quot;AMS_Type&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.liferay.ams.model.impl.TypeModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.liferay.ams.model.impl.TypeImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see Type
 * @see com.liferay.ams.model.impl.TypeImpl
 * @see com.liferay.ams.model.impl.TypeModelImpl
 * @generated
 */
public interface TypeModel extends BaseModel<Type> {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a type model instance should use the {@link Type} interface instead.
	 */

	/**
	 * Returns the primary key of this type.
	 *
	 * @return the primary key of this type
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this type.
	 *
	 * @param primaryKey the primary key of this type
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the type ID of this type.
	 *
	 * @return the type ID of this type
	 */
	public long getTypeId();

	/**
	 * Sets the type ID of this type.
	 *
	 * @param typeId the type ID of this type
	 */
	public void setTypeId(long typeId);

	/**
	 * Returns the group ID of this type.
	 *
	 * @return the group ID of this type
	 */
	public long getGroupId();

	/**
	 * Sets the group ID of this type.
	 *
	 * @param groupId the group ID of this type
	 */
	public void setGroupId(long groupId);

	/**
	 * Returns the name of this type.
	 *
	 * @return the name of this type
	 */
	@AutoEscape
	public String getName();

	/**
	 * Sets the name of this type.
	 *
	 * @param name the name of this type
	 */
	public void setName(String name);

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public Serializable getPrimaryKeyObj();

	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(Type type);

	public int hashCode();

	public CacheModel<Type> toCacheModel();

	public Type toEscapedModel();

	public String toString();

	public String toXmlString();
}