/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.ams.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.List;

/**
 * This class is used by SOAP remote services.
 *
 * @author    Brian Wing Shun Chan
 * @generated
 */
public class TypeSoap implements Serializable {
	public static TypeSoap toSoapModel(Type model) {
		TypeSoap soapModel = new TypeSoap();

		soapModel.setTypeId(model.getTypeId());
		soapModel.setGroupId(model.getGroupId());
		soapModel.setName(model.getName());

		return soapModel;
	}

	public static TypeSoap[] toSoapModels(Type[] models) {
		TypeSoap[] soapModels = new TypeSoap[models.length];

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModel(models[i]);
		}

		return soapModels;
	}

	public static TypeSoap[][] toSoapModels(Type[][] models) {
		TypeSoap[][] soapModels = null;

		if (models.length > 0) {
			soapModels = new TypeSoap[models.length][models[0].length];
		}
		else {
			soapModels = new TypeSoap[0][0];
		}

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModels(models[i]);
		}

		return soapModels;
	}

	public static TypeSoap[] toSoapModels(List<Type> models) {
		List<TypeSoap> soapModels = new ArrayList<TypeSoap>(models.size());

		for (Type model : models) {
			soapModels.add(toSoapModel(model));
		}

		return soapModels.toArray(new TypeSoap[soapModels.size()]);
	}

	public TypeSoap() {
	}

	public long getPrimaryKey() {
		return _typeId;
	}

	public void setPrimaryKey(long pk) {
		setTypeId(pk);
	}

	public long getTypeId() {
		return _typeId;
	}

	public void setTypeId(long typeId) {
		_typeId = typeId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public String getName() {
		return _name;
	}

	public void setName(String name) {
		_name = name;
	}

	private long _typeId;
	private long _groupId;
	private String _name;
}