/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.ams.model.impl;

import com.liferay.ams.model.Asset;

import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.model.CacheModel;

import java.io.Serializable;

import java.util.Date;

/**
 * The cache model class for representing Asset in entity cache.
 *
 * @author Brian Wing Shun Chan
 * @see Asset
 * @generated
 */
public class AssetCacheModel implements CacheModel<Asset>, Serializable {
	@Override
	public String toString() {
		StringBundler sb = new StringBundler(21);

		sb.append("{assetId=");
		sb.append(assetId);
		sb.append(", companyId=");
		sb.append(companyId);
		sb.append(", userId=");
		sb.append(userId);
		sb.append(", userName=");
		sb.append(userName);
		sb.append(", createDate=");
		sb.append(createDate);
		sb.append(", modifiedDate=");
		sb.append(modifiedDate);
		sb.append(", definitionId=");
		sb.append(definitionId);
		sb.append(", serialNumber=");
		sb.append(serialNumber);
		sb.append(", inactiveDate=");
		sb.append(inactiveDate);
		sb.append(", active=");
		sb.append(active);
		sb.append("}");

		return sb.toString();
	}

	public Asset toEntityModel() {
		AssetImpl assetImpl = new AssetImpl();

		assetImpl.setAssetId(assetId);
		assetImpl.setCompanyId(companyId);
		assetImpl.setUserId(userId);

		if (userName == null) {
			assetImpl.setUserName(StringPool.BLANK);
		}
		else {
			assetImpl.setUserName(userName);
		}

		if (createDate == Long.MIN_VALUE) {
			assetImpl.setCreateDate(null);
		}
		else {
			assetImpl.setCreateDate(new Date(createDate));
		}

		if (modifiedDate == Long.MIN_VALUE) {
			assetImpl.setModifiedDate(null);
		}
		else {
			assetImpl.setModifiedDate(new Date(modifiedDate));
		}

		assetImpl.setDefinitionId(definitionId);

		if (serialNumber == null) {
			assetImpl.setSerialNumber(StringPool.BLANK);
		}
		else {
			assetImpl.setSerialNumber(serialNumber);
		}

		if (inactiveDate == Long.MIN_VALUE) {
			assetImpl.setInactiveDate(null);
		}
		else {
			assetImpl.setInactiveDate(new Date(inactiveDate));
		}

		assetImpl.setActive(active);

		assetImpl.resetOriginalValues();

		return assetImpl;
	}

	public long assetId;
	public long companyId;
	public long userId;
	public String userName;
	public long createDate;
	public long modifiedDate;
	public long definitionId;
	public String serialNumber;
	public long inactiveDate;
	public boolean active;
}