/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.ams.model.impl;

import com.liferay.ams.model.Checkout;

import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.model.CacheModel;

import java.io.Serializable;

import java.util.Date;

/**
 * The cache model class for representing Checkout in entity cache.
 *
 * @author Brian Wing Shun Chan
 * @see Checkout
 * @generated
 */
public class CheckoutCacheModel implements CacheModel<Checkout>, Serializable {
	@Override
	public String toString() {
		StringBundler sb = new StringBundler(21);

		sb.append("{checkoutId=");
		sb.append(checkoutId);
		sb.append(", companyId=");
		sb.append(companyId);
		sb.append(", userId=");
		sb.append(userId);
		sb.append(", userName=");
		sb.append(userName);
		sb.append(", createDate=");
		sb.append(createDate);
		sb.append(", modifiedDate=");
		sb.append(modifiedDate);
		sb.append(", assetId=");
		sb.append(assetId);
		sb.append(", checkOutDate=");
		sb.append(checkOutDate);
		sb.append(", expectedCheckInDate=");
		sb.append(expectedCheckInDate);
		sb.append(", actualCheckInDate=");
		sb.append(actualCheckInDate);
		sb.append("}");

		return sb.toString();
	}

	public Checkout toEntityModel() {
		CheckoutImpl checkoutImpl = new CheckoutImpl();

		checkoutImpl.setCheckoutId(checkoutId);
		checkoutImpl.setCompanyId(companyId);
		checkoutImpl.setUserId(userId);

		if (userName == null) {
			checkoutImpl.setUserName(StringPool.BLANK);
		}
		else {
			checkoutImpl.setUserName(userName);
		}

		if (createDate == Long.MIN_VALUE) {
			checkoutImpl.setCreateDate(null);
		}
		else {
			checkoutImpl.setCreateDate(new Date(createDate));
		}

		if (modifiedDate == Long.MIN_VALUE) {
			checkoutImpl.setModifiedDate(null);
		}
		else {
			checkoutImpl.setModifiedDate(new Date(modifiedDate));
		}

		checkoutImpl.setAssetId(assetId);

		if (checkOutDate == Long.MIN_VALUE) {
			checkoutImpl.setCheckOutDate(null);
		}
		else {
			checkoutImpl.setCheckOutDate(new Date(checkOutDate));
		}

		if (expectedCheckInDate == Long.MIN_VALUE) {
			checkoutImpl.setExpectedCheckInDate(null);
		}
		else {
			checkoutImpl.setExpectedCheckInDate(new Date(expectedCheckInDate));
		}

		if (actualCheckInDate == Long.MIN_VALUE) {
			checkoutImpl.setActualCheckInDate(null);
		}
		else {
			checkoutImpl.setActualCheckInDate(new Date(actualCheckInDate));
		}

		checkoutImpl.resetOriginalValues();

		return checkoutImpl;
	}

	public long checkoutId;
	public long companyId;
	public long userId;
	public String userName;
	public long createDate;
	public long modifiedDate;
	public long assetId;
	public long checkOutDate;
	public long expectedCheckInDate;
	public long actualCheckInDate;
}